Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451719 - /usr/share/idl folder should be owned by filesystem package
Summary: /usr/share/idl folder should be owned by filesystem package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 21:14 UTC by petrosyan
Modified: 2009-07-08 12:36 UTC (History)
2 users (show)

Fixed In Version: filesystem-2.4.22-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-08 12:36:25 UTC


Attachments (Terms of Use)

Description petrosyan 2008-06-16 21:14:58 UTC
Description of problem:
/usr/share/idl folder should be owned by gnome-panel package

Version-Release number of selected component (if applicable):
gnome-panel-2.22.2-1.fc9

Steps to Reproduce:
1. rpm -qf /usr/share/idl/*
2. rpm -qf /usr/share/idl

Comment 1 Matthias Clasen 2008-10-02 13:50:05 UTC
Not sure how you come to that conclusion.
It has two owners already, but it is used for wildly different things (e.g xulrunner has stuff in there, as well as bonobo, an dsome applications.

This should probably go into filesystem.

Comment 2 Bug Zapper 2008-11-26 02:26:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Ondrej Vasik 2009-07-07 14:55:38 UTC
Yes, it probably should be in filesystem - there are more such applications using that dir(and usually with subdir) - as interface description is very general term it could really by used for many different things.

Comment 4 Ondrej Vasik 2009-07-08 12:36:25 UTC
I added that to filesystem in filesystem-2.4.22-1.fc12 . Should this be used as tracker bug for separate bugreports against packages which do own this dir? (as probably all packages currently owning /usr/share/idl directory should no longer own it)
Closing RAWHIDE - as it is done from side of filesystem...


Note You need to log in before you can comment on or make changes to this bug.